﻿# Biblos 5 - The Accessible Braille Word Processor
# Components for NVDA 2024.1 (and later?)
# Copyright (C) 2013-2024 Giuseppe Di Grande
# giuseppe@digrande.it - https://www.digrande.it/
# Subscribe https://www.facebook.com/groups/BiblosBraille

import config
from . import biblosGlob

class biblosConfig:
	_lBiblos = "biblos"

	def __init__(self):
		config.conf.spec[self._lBiblos] = {}

	@property
	def textTransliteration(self):
		"""Text transliteration property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.textTransliteration]=="True"
		except: return False

	@textTransliteration.setter
	def textTransliteration(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.textTransliteration] = str(value)
		except: pass

	@property
	def sayIndentation(self):
		"""Say indentation property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.sayIndentation]=="True"
		except: return False

	@sayIndentation.setter
	def sayIndentation(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.sayIndentation] = str(value)
		except: pass

	@property
	def sayBrailleNav(self):
		"""Say braille navigation property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.sayBrailleNav]=="True"
		except: return False

	@sayBrailleNav.setter
	def sayBrailleNav(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.sayBrailleNav] = str(value)
		except: pass

	@property
	def brailleMode(self):
		"""Braille mode property"""
		try:
			return int(config.conf[self._lBiblos][biblosGlob.brailleMode])
		except: return 0

	@brailleMode.setter
	def brailleMode(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleMode] = str(value)
		except: pass

	@property
	def brailleTolerance(self):
		"""Braille tolerance property"""
		try:
			return int(config.conf[self._lBiblos][biblosGlob.brailleTolerance])
		except: return 7

	@brailleTolerance.setter
	def brailleTolerance(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleTolerance] = str(value)
		except: pass

	@property
	def brailleFormatting(self):
		"""Braille formatting property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleFormatting]=="True"
		except: return False

	@brailleFormatting.setter
	def brailleFormatting(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleFormatting] = str(value)
		except: pass

	@property
	def brailleTableCoords(self):
		"""Braille table coords property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleTableCoords]=="True"
		except: return True

	@brailleTableCoords.setter
	def brailleTableCoords(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleTableCoords] = str(value)
		except: pass

	@property
	def brailleExtras(self):
		"""Braille extras property"""
		try:
			return config.conf[self._lBiblos][biblosGlob.brailleExtras]=="True"
		except: return False

	@brailleExtras.setter
	def brailleExtras(self, value):
		try:
			config.conf[self._lBiblos][biblosGlob.brailleExtras] = str(value)
		except: pass