﻿# Biblos 5 - The Accessible Braille Word Processor
# Components for NVDA 2024.1 (and later?)
# Copyright (C) 2013-2024 Giuseppe Di Grande
# giuseppe@digrande.it - https://www.digrande.it/
# Subscribe https://www.facebook.com/groups/BiblosBraille

import languageHandler
import gui
from . import biblosGlob

class biblosLocales:

	def __init__(self):
		try:
			self.lcid = languageHandler.getLanguage()
			i = self.lcid.find('_')
			if i!=-1: self.lcid = self.lcid[0:i]
		except: pass

	def locale(self, id):
		try: return self._dLangs[self.lcid][id]
		except: pass
		try: return self._dLangs["en"][id]
		except: return ""


	_dEng = {
		biblosGlob.textTransliteration: "Text transliteration",
		biblosGlob.sayIndentation: "Says Python indentation",
		biblosGlob.sayBrailleNav: "Says movements of braille",
		biblosGlob.brailleMode: "Braille mode:",
		biblosGlob.brailleModeOpts: ["Block","Scroll"],
		biblosGlob.brailleTolerance: "Braille tolerance:",
		biblosGlob.brailleFormatting: "Shows the formatting of the document",
		biblosGlob.brailleTableCoords: "Shows coordinates in tables",
		biblosGlob.brailleExtras: "Shows extras items of the document"
	}

	_dIta = {
		biblosGlob.textTransliteration: "Traslitterazione del testo",
		biblosGlob.sayIndentation: "Dice i rientri di Python",
		biblosGlob.sayBrailleNav: "Dice i movimenti del braille",
		biblosGlob.brailleMode: "Modalità braille:",
		biblosGlob.brailleModeOpts: ["Blocco","Scorrimento"],
		biblosGlob.brailleTolerance: "Tolleranza braille:",
		biblosGlob.brailleFormatting: "Mostra la formattazione del documento",
		biblosGlob.brailleTableCoords: "Mostra le coordinate nelle tabelle",
		biblosGlob.brailleExtras: "Mostra gli elementi speciali del documento"
	}

	_dEsn = {
		biblosGlob.textTransliteration: "Transliteración del texto",
		biblosGlob.sayIndentation: "Dice sangrías de Python",
		biblosGlob.sayBrailleNav: "Dice los movimientos de braille",
		biblosGlob.brailleMode: "Modo braille:",
		biblosGlob.brailleModeOpts: ["Bloque","Desplazar"],
		biblosGlob.brailleTolerance: "Tolerancia braille:",
		biblosGlob.brailleFormatting: "Mostrar el formato del documento",
		biblosGlob.brailleTableCoords: "Mostrar las coordenadas en tablas",
		biblosGlob.brailleExtras: "Mostrar elementos especiales del documento"
}

	_dFra = {
		biblosGlob.textTransliteration: "Translittération du texte",
		biblosGlob.sayIndentation: "Dit le retrait de Python",
		biblosGlob.sayBrailleNav: "Dit les mouvements du braille",
		biblosGlob.brailleMode: "Modes braille:",
		biblosGlob.brailleModeOpts: ["Bloc","Défilement"],
		biblosGlob.brailleTolerance: "Tolérance du braille:",
		biblosGlob.brailleFormatting: "Montre le formatage du document",
		biblosGlob.brailleTableCoords: "Montre les coordonnées dans les tableaux",
		biblosGlob.brailleExtras: "Montre les éléments spéciaux du document"
}

	_dPtg = {
		biblosGlob.textTransliteration: "Transliteração de texto",
		biblosGlob.sayIndentation: "Diga a indentação de Python",
		biblosGlob.sayBrailleNav: "Dice gli spostamenti del braille",
		biblosGlob.brailleMode: "Modo braille:",
		biblosGlob.brailleModeOpts: ["Bloco","Rolante"],
		biblosGlob.brailleTolerance: "Tolerância braille:",
		biblosGlob.brailleFormatting: "Mostra a formatação do documento",
		biblosGlob.brailleTableCoords: "Mostra le coordinate nelle tabelle",
		biblosGlob.brailleExtras: "Mostra gli elementi speciali del documento"
}				

	_dLangs = {
		"en": _dEng,
		"it": _dIta,
		"es": _dEsn,
		"fr": _dFra,
		"pt": _dPtg
	}
	